> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token price

> Get price in USD for given token(s)



## OpenAPI

````yaml https://data-api.b3.fun/swagger.json?v=1 get /insights/v1/tokens/price
openapi: 3.0.0
info:
  description: >-
    Cached proxy layer for multiple blockchain APIs with 24-hour caching and
    automatic fallback across chains. Supports both Blockscout and ThirdWeb
    Insights APIs. Add ?mintlify parameter for Mintlify-compatible version.
  version: 1.0.0
  title: B3 Data API - Multi-Chain Data API
  contact:
    name: B3 Team
    url: https://b3.fun
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://data-api.b3.fun/
    description: B3 Data API - Multi-Chain Proxy
security: []
tags:
  - name: blockscout/search
    description: Blockscout search functionality
  - name: blockscout/transactions
    description: Blockscout transaction data
  - name: blockscout/blocks
    description: Blockscout block data
  - name: blockscout/tokens
    description: Blockscout token and transfer data
  - name: blockscout/stats
    description: Blockscout statistics and charts
  - name: blockscout/main-page
    description: Blockscout main page data
  - name: blockscout
    description: General Blockscout endpoints
  - name: insights/events
    description: ThirdWeb Insights event data
  - name: insights/transactions
    description: ThirdWeb Insights transaction analytics
  - name: insights/tokens
    description: ThirdWeb Insights token analytics
  - name: insights/nfts
    description: ThirdWeb Insights NFT analytics
  - name: insights/wallets
    description: ThirdWeb Insights wallet analytics
  - name: insights/contracts
    description: ThirdWeb Insights contract analytics
  - name: insights/resolve
    description: ThirdWeb Insights ENS resolution
  - name: insights/blocks
    description: ThirdWeb Insights block data
  - name: insights/decode
    description: ThirdWeb Insights transaction decoding
  - name: insights/general
    description: General ThirdWeb Insights endpoints
paths:
  /insights/v1/tokens/price:
    get:
      tags:
        - insights/tokens
      summary: Get token price
      description: Get price in USD for given token(s)
      parameters:
        - name: chain
          in: query
          required: false
          deprecated: true
          description: Use chain_id instead
          schema:
            type: array
            example:
              - 20
              - 56
              - 1
            items:
              type: number
        - name: chain_id
          in: query
          required: false
          description: >-
            The chain ID(s) to request the data for. You can specify multiple
            chain IDs, up to a maximum of 55. Use repeated query parameters,
            e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain
            can as well be specified as a subdomain
          schema:
            type: array
            example:
              - 20
              - 56
              - 1
            items:
              type: number
        - schema:
            anyOf:
              - type: array
                items:
                  type: string
                  title: address (hex or ENS)
                  example: vitalik.eth
              - type: string
                title: address (hex or ENS)
                example: vitalik.eth
            description: The address of the token to get the price for
            example:
              - '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
          required: false
          name: address
          in: query
        - schema:
            anyOf:
              - type: array
                items:
                  type: string
              - type: string
                nullable: true
              - nullable: true
            description: The symbol of the token to get the price for
            example:
              - ETH
              - USDC
          required: false
          name: symbol
          in: query
        - $ref: '#/components/parameters/timestamp'
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: Whether to include historical token prices
            example: 'true'
          required: false
          name: include_historical_prices
          in: query
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: Whether to include the number of holders
            example: 'true'
          required: false
          name: include_holders
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        chain_id:
                          type: number
                          description: The chain ID of a relevant entry
                          example: 1
                        address:
                          type: string
                          title: address (hex or ENS)
                          example: vitalik.eth
                        symbol:
                          type: string
                        price_usd:
                          type: number
                          description: Precise price in USD
                        price_usd_cents:
                          type: number
                          description: Price in USD cents
                        percent_change_24h:
                          type: number
                          description: Percent change in price over the last 24 hours
                        volume_24h_usd:
                          type: number
                          description: Volume in USD over the last 24 hours
                        volume_change_24h:
                          type: number
                          description: Percent change in volume over the last 24 hours
                        market_cap_usd:
                          type: number
                          description: Market cap in USD
                        historical_prices:
                          type: array
                          items:
                            type: object
                            properties:
                              date:
                                type: string
                                description: Date of price
                              price_usd:
                                type: number
                                description: Price in USD
                              price_usd_cents:
                                type: number
                                description: Price in USD cents
                            required:
                              - date
                              - price_usd
                              - price_usd_cents
                        holders:
                          type: number
                          description: Number of holders
                      required:
                        - chain_id
                        - address
                        - price_usd
                        - price_usd_cents
                        - percent_change_24h
                        - volume_24h_usd
                        - volume_change_24h
                        - market_cap_usd
                required:
                  - data
        '400':
          description: Bad request
        '500':
          description: Internal server error
components:
  parameters:
    timestamp:
      schema:
        type: integer
        minimum: 0
        exclusiveMinimum: true
        description: Timestamp in seconds or milliseconds
      required: false
      name: timestamp
      in: query

````